This project has moved. For the latest updates, please go here.

Problem: DataSubscriber and Update Libraries

Dec 7, 2011 at 7:08 PM

Hi!

I have the following problem with the DataSubscriber. More specifically with version updates libraries: TimeSeriesFramework.dll, TVA.Communication.dll, TVA.Core.dll in the DataSubscriberTest.

 When I open the TimeSeriesFramework-72897 solution and evaluate the DataSubscriberTest application I find that when I attempt to receive this measurement via the DataSubscriber's SynchronizedSubscribe method I get a connection, but the NewMeasurements event is never raised with any measure of OpenPDC. In Addition, the method return true when in the argument filterExpression I define as "" (empty).

When I change the libraries for those who are in C:\Program Files\openPDC, and executed the application I receive the measurements but the SynchronizedSubscribe method give me all openPDC measurements when I only specified two measurements. Therefore I would like try with an update library but I found this problem with the updates. My assumption is that there are some compatibility problems between updates libraries and OpenPDC.

Is there any way to run the DataSubcriberTest with the updates libraries? Or how I have to use the update libraries in the DataSubscriberTest for receive measurements from OpenPDC?

Please help me to fix this problem.

Thanks in advance any suggestion !

Itan

Coordinator
Dec 7, 2011 at 7:21 PM

These new libraries are out of sync with current SP1 version of the openPDC. The openPDC SP2 is about to be released which will be in-sync with new libraries.

Thanks!
Ritchie

Dec 7, 2011 at 7:31 PM

Where I can find the OpenPDC SP2?

Itan

Coordinator
Dec 7, 2011 at 7:35 PM

It has not been officially published - but you can try the beta from here:

http://openpdc.codeplex.com/wikipage?title=Nightly Builds

Dec 7, 2011 at 7:42 PM
Edited Dec 12, 2011 at 9:36 PM

Thank you very much Ritchie, your information  was very useful.

The last  question:

When will be officially published OpenPDC SP2?

Thanks!

Itan